# Class pyglet.resource.FileLocation

    Location --+
               |
              FileLocation

Location on the filesystem.

## Methods

| __init__(self, path) Create a location given a relative or absolute path.
file object | open(self, filename, mode=`'``rb``'`) Open a file at this locaiton.

## Method Details

### __init__

(Constructor) __init__(self, path)
Create a location given a relative or absolute path.

Parameters:
  path : str
    Path on the filesystem.

### open

open(self, filename, mode=`'``rb``'`)
Open a file at this locaiton.

Returns: file object
Overrides:
  Location.open